/* SampleScripts.cs
   Copyright (C) 2006 Pageflex and Bitstream Inc. All rights reserved.

History:
  01.05.2007 rm   choppy.
  11.28.2006 rm   Created.
*/

using System;
using System.IO;
using Pageflex.Scripting;

public class Samples
{

    // Convert all images to use HiRes paths
    public static void UseHiResImagePaths()
    {
        // Find all images in document
        
        for (Element n = Application.CurrentDocument; n != null; n = n.NextElementInTree)
        {
            if (n is Image && n.IsVisible)
            {
                // Convert e.g. "C:\Images\cat.jpg" to "C:\Images\HiRes\cat.jpg" 
                Image i = (Image)n;
                string source = i.Source;
                string sourceResolved = i.SourceResolved;	
				Application.Log("Info: Old Source= " + sourceResolved);

                // StreamWriter objStreamWriter;
      	        // objStreamWriter = File.AppendText("TEST.TXT");
                // objStreamWriter.WriteLine("source" + source);
                // objStreamWriter.WriteLine("sourceResolved" + sourceResolved);
       	        // objStreamWriter.Close();

                if (!string.IsNullOrEmpty(sourceResolved))
                {                    
                    if (!Path.GetDirectoryName(sourceResolved).ToLower().Contains("hires"))
                    {
			            string folder = Path.Combine(Path.GetDirectoryName(sourceResolved), "HiRes");

			            i.Source = Path.Combine(folder, Path.GetFileName(sourceResolved));
			            Application.Log("Info: New Source= " + i.Source.ToString());
                    }
                }
                /*
                else
                {
			if (!string.IsNullOrEmpty(source))
			{
				Application.Log("Info: New Source= " + Application.GetUserString("projectFile"));
				//i.Source = "HiRes/" + source;

				
			}
                }
                */
            }
        }
    }

}
